summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Petazzoni <thomas.petazzoni@free-electrons.com>2016-12-07 11:12:33 (GMT)
committerThomas Petazzoni <thomas.petazzoni@free-electrons.com>2016-12-07 13:40:29 (GMT)
commitb754237520a4795eadc0edec768b267dd598ab0e (patch)
tree2d5b969abdb23fe96a44d41aa2d4b3a39e332a26
parentd64627ed4809b6d8677a3fcc0a2af727f2d20908 (diff)
downloadbuildroot-b754237520a4795eadc0edec768b267dd598ab0e.tar.gz
buildroot-b754237520a4795eadc0edec768b267dd598ab0e.tar.bz2
cmake: adjust dependencies added for libuv
Commit 1ffcf364b6e9894a876dc581a090f87685945412 updated cmake to 3.7.0, which requires selecting the libuv package. At the time, the libuv package only depended on BR2_TOOLCHAIN_HAS_THREADS. However, later on, it was changed in master to depend on BR2_TOOLCHAIN_HAS_THREADS_NPTL, a change which was not taken into account in the cmake 3.7.0 bump that was merged in the next branch. Due to this, builds of cmake is attempted on architectures that don't provide NPTL thread support, causing a build failure. This commit fixes that by adjusting the dependency. Fixes: http://autobuild.buildroot.net/results/16a5e1cbb57c0124537c4f3dc0807ba1eaa975ec/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
-rw-r--r--package/cmake/Config.in6
1 files changed, 3 insertions, 3 deletions
diff --git a/package/cmake/Config.in b/package/cmake/Config.in
index 716d80e..2706db5 100644
--- a/package/cmake/Config.in
+++ b/package/cmake/Config.in
@@ -26,7 +26,7 @@ config BR2_PACKAGE_CMAKE_CTEST
depends on BR2_USE_WCHAR # libarchive
depends on BR2_INSTALL_LIBSTDCPP
depends on !BR2_STATIC_LIBS
- depends on BR2_TOOLCHAIN_HAS_THREADS # libuv
+ depends on BR2_TOOLCHAIN_HAS_THREADS_NPTL # libuv
depends on BR2_USE_MMU # libuv
help
CTest is a testing tool distributed as a part of CMake. It
@@ -37,9 +37,9 @@ config BR2_PACKAGE_CMAKE_CTEST
http://www.cmake.org/
-comment "ctest needs a toolchain w/ C++, wchar, dynamic library, gcc >= 4.7, threads"
+comment "ctest needs a toolchain w/ C++, wchar, dynamic library, gcc >= 4.7, NPTL"
depends on BR2_PACKAGE_CMAKE_ARCH_SUPPORTS
depends on BR2_USE_MMU
depends on !BR2_INSTALL_LIBSTDCPP || !BR2_USE_WCHAR || \
BR2_STATIC_LIBS || !BR2_TOOLCHAIN_GCC_AT_LEAST_4_7 || \
- !BR2_TOOLCHAIN_HAS_THREADS
+ !BR2_TOOLCHAIN_HAS_THREADS_NPTL